# -*- coding: utf-8 -*-

# Vendor Library
from celery.task import Task

# Project Library
from kinder.settings import logger
from kinder.core.declaration.models import Declaration
from concentrator.webservice.service import (
    send_update_application_state)


class SendUpdateApplicationState(Task):
    """
    Отправка информации о смене статуса в концентратор
    """

    def run(self, declaration_id, is_auto):
        try:
            declaration = Declaration.objects.get(id=declaration_id)
        except Declaration.DoesNotExist:
            declaration = None
        send_update_application_state(declaration, is_auto=is_auto)

    def on_failure(self, exc, task_id, args, kwargs, einfo):

        logger.error(exc.message)
